local function EventRegister(event, register)
	if (register) then
		ShivvAudio:RegisterEvent(event)
	else
		ShivvAudio:UnregisterEvent(event)
	end
end

function ShivvAudio:MusicalEvents()
	EventRegister('PLAYER_DEAD', (self.db.profile.eventDB.death ~= 0))
	EventRegister('PLAYER_LEVEL_UP', (self.db.profile.eventDB.levelup ~= 0))
	EventRegister('PLAYER_ACHIEVEMENT', (self.db.profile.eventDB.achievement ~= 0))

	EventRegister('PLAYER_REGEN_DISABLED', (self.db.profile.eventDB.combatstart ~= 0))
	EventRegister('PLAYER_REGEN_ENABLED', (self.db.profile.eventDB.combatstop ~= 0))

	EventRegister('MERCHANT_SHOW', (self.db.profile.eventDB.shop ~= 0))
	EventRegister('MERCHANT_CLOSED', (self.db.profile.eventDB.shop ~= 0))

	EventRegister('BANKFRAME_OPENED', (self.db.profile.eventDB.bank ~= 0))
	EventRegister('BANKFRAME_CLOSED', (self.db.profile.eventDB.bank ~= 0))
	EventRegister('GUILDBANKFRAME_OPENED', (self.db.profile.eventDB.bank ~= 0))
	EventRegister('GUILDBANKFRAME_CLOSED', (self.db.profile.eventDB.bank ~= 0))

	EventRegister('AUCTION_HOUSE_SHOW', (self.db.profile.eventDB.auction ~= 0))
	EventRegister('AUCTION_HOUSE_CLOSED', (self.db.profile.eventDB.auction ~= 0))
end

function ShivvAudio:PLAYER_DEAD()
	self:SoundHandler(self.db.profile.eventDB.death)
end

function ShivvAudio:PLAYER_LEVEL_UP()
	self:SoundHandler(self.db.profile.eventDB.levelup)
end

function ShivvAudio:PLAYER_ACHIEVEMENT()
	self:SoundHandler(self.db.profile.eventDB.achievement)
end

function ShivvAudio:PLAYER_REGEN_DISABLED()
	self:SoundHandler(self.db.profile.eventDB.combatstart)
end

function ShivvAudio:PLAYER_REGEN_ENABLED()
	self:SoundHandler(self.db.profile.eventDB.combatstop)
end

function ShivvAudio:MERCHANT_SHOW()
	self:MusicHandler('shivvInternalShop', true)
end

function ShivvAudio:MERCHANT_CLOSED()
	self:MusicHandler('shivvInternalShop', false)
end

function ShivvAudio:BANKFRAME_OPENED()
	self:MusicHandler('shivvInternalBank', true)
end

function ShivvAudio:BANKFRAME_CLOSED()
	self:MusicHandler('shivvInternalBank', false)
end

function ShivvAudio:GUILDBANKFRAME_OPENED()
	self:MusicHandler('shivvInternalBank', true)
end

function ShivvAudio:GUILDBANKFRAME_CLOSED()
	self:MusicHandler('shivvInternalBank', false)
end

function ShivvAudio:AUCTION_HOUSE_SHOW()
	self:MusicHandler('shivvInternalAuction', true)
end

function ShivvAudio:AUCTION_HOUSE_CLOSED()
	self:MusicHandler('shivvInternalAuction', false)
end
